table.insert(ContractBrokerGui.tabs,{"menu_filter_heat","_setup_filter_heat"})

function ContractBrokerGui:_setup_filter_heat()
    self:add_filter("job_id", ContractBrokerGui.perform_filter_heat)
    self:set_sorting_function(ContractBrokerGui.perform_heat_sort)
end

function ContractBrokerGui.perform_filter_heat(job_data, job_id)
    local job_heat = managers.job:get_job_heat(job_id)
    return (job_heat < -15 or job_heat > 15)
    --return managers.job:heat_to_experience_multiplier(managers.job:get_job_heat(job_id)) ~= 1
end

function ContractBrokerGui.perform_heat_sort(x, y)
    local job_heat_x = managers.job:get_job_heat(x.job_id)
    local job_heat_y = managers.job:get_job_heat(y.job_id)
    return job_heat_x > job_heat_y
end